logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in RSS X


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.
Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: PHP 8.3.8, 8.2.20, 8.1.29, 8.0.30, 7.4-7.0, 5.6-5.3 Page Previous  1, 2, 3 ... , 17, 18, 19  Next
Author
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Wed 14 Jun '23 19:13    Post subject: Reply with quote

Wow. I have never seen a PHP extension that generates that many compiler warnings. See for yourself from line 1063 of make-php_phalcon-5.0.0beta3-8.0-nts-vs16-x64.txt inside https://windows.php.net/downloads/pecl/releases/phalcon/5.0.0beta3/logs/php_phalcon-5.0.0beta3-8.0-nts-vs16-x64-logs.zip
The number of warnings did not decrease at next releases.

Visual Studio choked when I tried to build the extension from the git sources
Quote:
phalcon/translate/translatefactory.zep.c : fatal error C1002: compiler is out of heap space in pass 2

But when I took the 5.2.1 tarball from https://pecl.php.net/package/phalcon there were as many warnings but Visual Studio ignored them after a lot of processing.

TL;DR: php_phalcon.dll had been added to my builds. It is already there in the x64 builds of PHP 8.2.7. See for instance https://phpdev.toolsforresearch.com/php-8.2.7-nts-Win32-vs16-x64.htm

The other PHP 8 builds will follow in due time.
Back to top
mrdj1024



Joined: 03 Apr 2023
Posts: 37
Location: Bridgeton,NJ,USA

PostPosted: Wed 14 Jun '23 20:09    Post subject: Reply with quote

thankyou for this!
i just got your php 8.1.20 version of php and use it on my wampserver and it has the newest openssl version Smile
thanks alot.
like as far as you know,this wouldnt have any issues working on wampserver?
Back to top
lubber



Joined: 14 Jun 2023
Posts: 2
Location: Germany

PostPosted: Thu 15 Jun '23 10:25    Post subject: Reply with quote

Jan-E wrote:

TL;DR: php_phalcon.dll had been added to my builds. It is already there in the x64 builds of PHP 8.2.7. See for instance https://phpdev.toolsforresearch.com/php-8.2.7-nts-Win32-vs16-x64.htm

The other PHP 8 builds will follow in due time.


Awesome! :love:
Thank you _very_ much.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Fri 16 Jun '23 6:10    Post subject: Reply with quote

Special edition with phalcon, grpc and protobuf:
https://phpdev.toolsforresearch.com/php-8.2.7-nts-Win32-vs16-x64-grpc-protobuf.htm
https://phpdev.toolsforresearch.com/php-8.2.7-nts-Win32-vs16-x64-grpc-protobuf.zip
https://phpdev.toolsforresearch.com/php-8.2.7-Win32-vs16-x64-grpc-protobuf.htm
https://phpdev.toolsforresearch.com/php-8.2.7-Win32-vs16-x64-grpc-protobuf.zip
phalcon and grpc will not be included in my regular builds. Too much resource and time consuming. See https://github.com/phalcon/cphalcon/issues/16318#issuecomment-1592534432 as well.
Back to top
mrdj1024



Joined: 03 Apr 2023
Posts: 37
Location: Bridgeton,NJ,USA

PostPosted: Sun 06 Aug '23 22:59    Post subject: Reply with quote

thankyou for this Smile
Back to top
timo



Joined: 03 Jun 2012
Posts: 45
Location: FI, EU

PostPosted: Fri 11 Aug '23 11:56    Post subject: PHP 8.0.30 Reply with quote

Hello.

In 8.0.30 build by Jan-E
Code:
Openssl default config = \usr\local\ssl/openssl.cnf

It seems that this default value was in use prior to PHP 7.4.0.
Now, it should be as stated in https://www.php.net/manual/en/openssl.installation.php

PHP will search for the openssl.cnf using the following logic:

the OPENSSL_CONF environmental variable, if set, will be used as the path (including filename) of the configuration file.
the SSLEAY_CONF environmental variable, if set, will be used as the path (including filename) of the configuration file.
The file openssl.cnf will be assumed to be found in the default certificate area, as configured at the time that the openssl DLL was compiled.
This is usually means that the default filename is C:\Program Files\Common Files\SSL\openssl.cnf (x64) or C:\Program Files (x86)\Common Files\SSL\openssl.cnf (x86), or, prior to PHP 7.4.0, C:\usr\local\ssl\openssl.cnf.
Back to top
ltdeta



Joined: 27 Feb 2015
Posts: 27
Location: Germany

PostPosted: Wed 23 Aug '23 16:09    Post subject: Reply with quote

Quote:
My PHP 8.1, 8.2 and 8.3 builds use OpenSSL 1.1.1 as well, unlike the official builds, which use OpenSSL 3 nowadays.

When do you plan to release the first version with OpenSSL 3 ?

OpenSSL 1.1.1 series will reach End of Life (EOL) on 11th September 2023.
https://www.openssl.org/blog/blog/2023/06/15/1.1.1-EOL-Reminder/
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Fri 01 Sep '23 10:41    Post subject: Reply with quote

8.1.23 and 8.0.30 are officially released, but not avalailable on https://windows.php.net/download/
See https://github.com/php/php-src/issues/12094#issuecomment-1701998573 and https://github.com/php/php-src/issues/11930 for some details.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Mon 04 Dec '23 6:45    Post subject: Reply with quote

ltdeta wrote:
Quote:
My PHP 8.1, 8.2 and 8.3 builds use OpenSSL 1.1.1 as well, unlike the official builds, which use OpenSSL 3 nowadays.

When do you plan to release the first version with OpenSSL 3 ?

OpenSSL 1.1.1 series will reach End of Life (EOL) on 11th September 2023.

I have an updated set of VS16 dependencies which uses OpenSSL 3.0.12. The VS16 builds are all using OpenSSL 3 now. There even is a PHP 7.4.33 VS16 build, that uses OpenSSL 3.0.12.
Back to top
noskill24



Joined: 30 Jan 2024
Posts: 2

PostPosted: Wed 07 Feb '24 14:44    Post subject: Reply with quote

PHP 7.4 - OpenSSL 1.1.1
https://phpdev.toolsforresearch.com/php-7.4.33-Win32-vc15-x64.zip

THIS BUILD IS BROKEN!
Interactive shell in this build not working for me.

Try to download zip file and run php.exe using windows shell. You will see "Interactive shell" welcome message, but there are no the shell command-line. PHP-commands also not working there...

PHP 7.4.33 x64 build from PHP-Archive (php.net) works without problem...

So at least this build is broken... Didn't tested x86, and NTS for 7.4.33


Last edited by noskill24 on Sun 25 Feb '24 15:12; edited 1 time in total
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Wed 07 Feb '24 16:27    Post subject: Reply with quote

noskill24 wrote:
PHP 7.4 - OpenSSL 1.1.1
https://phpdev.toolsforresearch.com/php-7.4.33-Win32-vc15-x64.zip
Try to download zip file and run php.exe using windows shell. You will see "Interactive shell" welcome message, but not the shell command-line. PHP-commands also not working there...

Thanks for the heads up. I apparently mixed up some OpenSSL 1.1.1 and OpenSSL 3 dependencies. See the snapshot.txt:
Code:
Module: php_pgsql.dll
===========================
   libpq.dll

Module: libpq.dll
===========================
   libssl-3-x64.dll
   libcrypto-3-x64.dll

I will recompile with the correct dependencies.
Back to top
noskill24



Joined: 30 Jan 2024
Posts: 2

PostPosted: Wed 07 Feb '24 17:56    Post subject: Reply with quote

Jan-E wrote:
I will recompile with the correct dependencies.


Thank you!

BTW, If I move extension-DLLs from your build to the official PHP build, will it work? I need some PECL extensions, that are missing in the official PHP builds.
Back to top
ltdeta



Joined: 27 Feb 2015
Posts: 27
Location: Germany

PostPosted: Fri 08 Mar '24 8:54    Post subject: Reply with quote

just a note php 8.2.16 released Smile

VS16 x64 Non Thread Safe (2024-Feb-13 19:04:46)
https://windows.php.net/download/
Back to top
ltdeta



Joined: 27 Feb 2015
Posts: 27
Location: Germany

PostPosted: Wed 20 Mar '24 10:34    Post subject: Reply with quote

A general question.
How often are the PHP builds updated? Please donít misunderstand, this is not a criticism but purely informational.
Back to top
BrainFooLong



Joined: 31 May 2023
Posts: 4

PostPosted: Mon 25 Mar '24 14:48    Post subject: Reply with quote

I guess they are built automatically, but not automatically updated here in the first post.

Just copy the URL you want to download and change version number to the newest, it will download the "hidden" file.
Back to top
ltdeta



Joined: 27 Feb 2015
Posts: 27
Location: Germany

PostPosted: Mon 25 Mar '24 20:43    Post subject: Reply with quote

BrainFooLong wrote:
I guess they are built automatically, but not automatically updated here in the first post.

Just copy the URL you want to download and change version number to the newest, it will download the "hidden" file.


many thanks!
Back to top
ltdeta



Joined: 27 Feb 2015
Posts: 27
Location: Germany

PostPosted: Wed 10 Apr '24 21:05    Post subject: Reply with quote

ltdeta wrote:
BrainFooLong wrote:
I guess they are built automatically, but not automatically updated here in the first post.

Just copy the URL you want to download and change version number to the newest, it will download the "hidden" file.

many thanks!

If I use the hidden version "php-8.2.17-nts-Win32-vs16-x64.zip" and "httpd-2.4.59-240404-win64-VS17.zip"

Quote:
php test script get:
cURL Version: 8.6.0
SSL Version: OpenSSL/3.0.13 (Schannel)

I know that openssl version from Apache module will be used, if the PHP version supports openssl 3.1, if the PHP version does not support openssl 3.1, the PHP version dlls will be used - here 3.0.

wich php version currently supports openssl 3.1?
Back to top
nambell



Joined: 22 Jun 2023
Posts: 7

PostPosted: Mon 13 May '24 14:31    Post subject: Reply with quote

Is there any way of implementing & enabling multiprocessor or multithreaded\parallel scripting in 8.3 php? I didn't found any added working php extension in your last builds, for example Parallel(which is only have 1.1.4 compiled version for 7.4 ts vc15 php for windows, but in PECL there is version 1.2.1 for PHP 8+, but for linux only nor windows). Is it not possible to run parallel\multithreaded scripting in windows for now?

Tbh then the only viable method is recursed multicurl, but it sound like a total joke for prod server, which has more then 50k requests Very Happy

UPD
Found those, but not sure that it works as intended:
https://github.com/jb-lopez/php-extensions-windows?tab=readme-ov-file
https://github.com/jb-lopez/php-extensions-windows/releases/tag/parallel
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Mon 13 May '24 15:11    Post subject: Reply with quote

nambell wrote:
Is there any way of implementing & enabling multiprocessor or multithreaded\parallel scripting in 8.3 php? I didn't found any added working php extension in your last builds, for example Parallel(which is only have 1.1.4 compiled version for 7.4 ts vc15 php for windows, but in PECL there is version 1.2.1 for PHP 8+, but for linux only nor windows). Is it not possible to run parallel\multithreaded scripting in windows for now?

Tbh then the only viable method is recursed multicurl, but it sound like a total joke for prod server, which has more then 50k requests Very Happy

UPD
Found those, but not sure that it works as intended:
Quote:
https://github.com/jb-lopez/php-extensions-windows?tab=readme-ov-file
https://github.com/jb-lopez/php-extensions-windows/releases/tag/parallel

Quick test here ended in
Creating library N:\php-sdk\php83dev\x64\Release_TS\php_parallel.lib and object N:\php-sdk\php83dev\x64\Release_TS\php_parallel.exp
parallel.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_lock
sync.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_lock
cache.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_lock
copy.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_lock
link.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_lock
monitor.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_lock
parallel.obj : error LNK2001: unresolved external symbol __imp_pthread_mutex_unlock

I do not have the time to investigate further at the moemnt.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1260
Location: Amsterdam, NL, EU

PostPosted: Tue 14 May '24 19:06    Post subject: Reply with quote

https://phpdev.toolsforresearch.com/php-8.3.7-Win32-vs16-x64.htm
https://phpdev.toolsforresearch.com/php-8.3.7-Win32-vs16-x64.zip

Built from git-head of https://github.com/krakjoe/parallel with a static pthreadVC2.lib. Version 1.2.2-dev
To fix the unresolved external symbols I had to add '/DPTW32_STATIC_LIB=1' to https://github.com/krakjoe/parallel/blob/develop/config.w32#L53

Not tested, but it might work.
Back to top


Reply to topic   Topic: PHP 8.3.8, 8.2.20, 8.1.29, 8.0.30, 7.4-7.0, 5.6-5.3 View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads Page Previous  1, 2, 3 ... , 17, 18, 19  Next